/*
SQLyog Enterprise - MySQL GUI v8.1 
MySQL - 5.6.16 : Database - penjadwalan_pso
*********************************************************************
*/


/*!40101 SET NAMES utf8 */;

/*!40101 SET SQL_MODE=''*/;

/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;

CREATE DATABASE /*!32312 IF NOT EXISTS*/`penjadwalan_pso` /*!40100 DEFAULT CHARACTER SET latin1 */;

USE `penjadwalan_pso`;

/*Table structure for table `master_dosen` */

DROP TABLE IF EXISTS `master_dosen`;

CREATE TABLE `master_dosen` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `nik` varchar(10) DEFAULT NULL,
  `nama` varchar(100) DEFAULT NULL,
  `jk` char(1) DEFAULT NULL,
  `tempat_lahir` varchar(100) DEFAULT NULL,
  `tanggal_lahir` date DEFAULT NULL,
  `alamat` varchar(200) DEFAULT NULL,
  `kecamatan` varchar(100) DEFAULT NULL,
  `kabupaten` varchar(100) DEFAULT NULL,
  `kota` varchar(100) DEFAULT NULL,
  `hp` varchar(100) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=11 DEFAULT CHARSET=latin1;

/*Data for the table `master_dosen` */

insert  into `master_dosen`(id,nik,nama,jk,tempat_lahir,tanggal_lahir,alamat,kecamatan,kabupaten,kota,hp) values (1,'ILY','ilyas','L','Jakarta','2015-10-01','','','','','0987654');
insert  into `master_dosen`(id,nik,nama,jk,tempat_lahir,tanggal_lahir,alamat,kecamatan,kabupaten,kota,hp) values (8,'SUT','Sutris no','P','Lamongan','1986-10-01','Awikoen Tama II','Manyar','Gresik','Gresik','081000001');
insert  into `master_dosen`(id,nik,nama,jk,tempat_lahir,tanggal_lahir,alamat,kecamatan,kabupaten,kota,hp) values (3,'DNY','Denny','L','surakarta','2014-10-02','surakarta','sura','karta','surakarta','hp');
insert  into `master_dosen`(id,nik,nama,jk,tempat_lahir,tanggal_lahir,alamat,kecamatan,kabupaten,kota,hp) values (7,'ROZ','Rozaq','L','gresik','2014-10-01','dor','satu','dua ','tiga ','90876');

/*Table structure for table `master_matakuliah` */

DROP TABLE IF EXISTS `master_matakuliah`;

CREATE TABLE `master_matakuliah` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `kode_mk` varchar(30) DEFAULT NULL,
  `nama_mk` varchar(100) DEFAULT NULL,
  `sks` int(11) DEFAULT NULL,
  `semester` int(11) DEFAULT NULL,
  `jenis_mk` varchar(100) DEFAULT NULL,
  `inactive` char(1) DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=latin1;

/*Data for the table `master_matakuliah` */

insert  into `master_matakuliah`(id,kode_mk,nama_mk,sks,semester,jenis_mk,inactive) values (1,'BASISDATA','BASIS DATA',3,6,'TEORI','0');
insert  into `master_matakuliah`(id,kode_mk,nama_mk,sks,semester,jenis_mk,inactive) values (2,'JARINGAN','JARINGAN',3,6,'PRAKTIKUM','0');
insert  into `master_matakuliah`(id,kode_mk,nama_mk,sks,semester,jenis_mk,inactive) values (3,'PBO','PEMROGRAMAN BERORIENTASI OBYEK',3,6,'TEORI','0');
insert  into `master_matakuliah`(id,kode_mk,nama_mk,sks,semester,jenis_mk,inactive) values (4,'STRUKTURDATA','STRUKTUR DATA',3,6,'TEORI','0');

/*Table structure for table `master_ruangan` */

DROP TABLE IF EXISTS `master_ruangan`;

CREATE TABLE `master_ruangan` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `kode_ruangan` varchar(10) DEFAULT NULL,
  `nama_ruangan` varchar(100) DEFAULT NULL,
  `jenis` varchar(100) DEFAULT NULL,
  `inactive` char(1) DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=7 DEFAULT CHARSET=latin1;

/*Data for the table `master_ruangan` */

insert  into `master_ruangan`(id,kode_ruangan,nama_ruangan,jenis,inactive) values (1,'ALGO1','ALGORITMA & PEMROGRAMAN I','LAB','0');
insert  into `master_ruangan`(id,kode_ruangan,nama_ruangan,jenis,inactive) values (2,'ALGO2','ALGORITMA & PEMROGRAMAN II','LAB','0');
insert  into `master_ruangan`(id,kode_ruangan,nama_ruangan,jenis,inactive) values (5,'BSD','BASIS DATA','RUANGAN','0');
insert  into `master_ruangan`(id,kode_ruangan,nama_ruangan,jenis,inactive) values (6,'JARKOM','JARINGAN KOMPUTER','LAB','0');

/*Table structure for table `pengampu_matakul` */

DROP TABLE IF EXISTS `pengampu_matakul`;

CREATE TABLE `pengampu_matakul` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `kode_mk` varchar(100) DEFAULT NULL,
  `kode_dosen` varchar(100) DEFAULT NULL,
  `jumlah` int(11) DEFAULT NULL,
  `hari` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=latin1;

/*Data for the table `pengampu_matakul` */

insert  into `pengampu_matakul`(id,kode_mk,kode_dosen,jumlah,hari) values (1,'BASISDATA','ILY',26,1);
insert  into `pengampu_matakul`(id,kode_mk,kode_dosen,jumlah,hari) values (2,'BASISDATA','DNY',26,1);
insert  into `pengampu_matakul`(id,kode_mk,kode_dosen,jumlah,hari) values (3,'JARINGAN','ROS',26,2);
insert  into `pengampu_matakul`(id,kode_mk,kode_dosen,jumlah,hari) values (4,'JARINGAN','ILY',26,2);
insert  into `pengampu_matakul`(id,kode_mk,kode_dosen,jumlah,hari) values (5,'PBO','ROZ',25,3);
insert  into `pengampu_matakul`(id,kode_mk,kode_dosen,jumlah,hari) values (6,'PBO','ROZ',25,3);
insert  into `pengampu_matakul`(id,kode_mk,kode_dosen,jumlah,hari) values (7,'STRUKTURDATA','SUT',25,3);
insert  into `pengampu_matakul`(id,kode_mk,kode_dosen,jumlah,hari) values (8,'STRUKTURDATA','SUT',25,4);
insert  into `pengampu_matakul`(id,kode_mk,kode_dosen,jumlah,hari) values (10,'STRUKTURDATA','DNY',25,4);

/*Table structure for table `slot_jadwal` */

DROP TABLE IF EXISTS `slot_jadwal`;

CREATE TABLE `slot_jadwal` (
  `id_slot` int(11) NOT NULL AUTO_INCREMENT,
  `jam` enum('I','II','III','IV') DEFAULT NULL,
  `hari` enum('SENIN','SELASA','RABU','KAMIS','JUMAT','SABTU','MINGGU') DEFAULT NULL,
  `kode_ruangan` varchar(100) DEFAULT NULL,
  `kode_mk` varchar(100) DEFAULT NULL,
  `kode_dosen` varchar(100) DEFAULT NULL,
  PRIMARY KEY (`id_slot`)
) ENGINE=InnoDB AUTO_INCREMENT=81 DEFAULT CHARSET=latin1;

/*Data for the table `slot_jadwal` */

insert  into `slot_jadwal`(id_slot,jam,hari,kode_ruangan,kode_mk,kode_dosen) values (1,'I','SENIN','ALGO1','JARINGAN','ROS');
insert  into `slot_jadwal`(id_slot,jam,hari,kode_ruangan,kode_mk,kode_dosen) values (2,'I','SENIN','ALGO2','STRUKTURDATA','SUT');
insert  into `slot_jadwal`(id_slot,jam,hari,kode_ruangan,kode_mk,kode_dosen) values (3,'I','SENIN','BSD','JARINGAN','ILY');
insert  into `slot_jadwal`(id_slot,jam,hari,kode_ruangan,kode_mk,kode_dosen) values (4,'I','SENIN','JARKOM','BASISDATA','ILY');
insert  into `slot_jadwal`(id_slot,jam,hari,kode_ruangan,kode_mk,kode_dosen) values (5,'I','SELASA','ALGO1','BASISDATA','DNY');
insert  into `slot_jadwal`(id_slot,jam,hari,kode_ruangan,kode_mk,kode_dosen) values (6,'I','SELASA','ALGO2','STRUKTURDATA','SUT');
insert  into `slot_jadwal`(id_slot,jam,hari,kode_ruangan,kode_mk,kode_dosen) values (7,'I','SELASA','BSD','JARINGAN','ROS');
insert  into `slot_jadwal`(id_slot,jam,hari,kode_ruangan,kode_mk,kode_dosen) values (8,'I','SELASA','JARKOM','PBO','ROZ');
insert  into `slot_jadwal`(id_slot,jam,hari,kode_ruangan,kode_mk,kode_dosen) values (9,'I','RABU','ALGO1','STRUKTURDATA','DNY');
insert  into `slot_jadwal`(id_slot,jam,hari,kode_ruangan,kode_mk,kode_dosen) values (10,'I','RABU','ALGO2','JARINGAN','ROS');
insert  into `slot_jadwal`(id_slot,jam,hari,kode_ruangan,kode_mk,kode_dosen) values (11,'I','RABU','BSD','STRUKTURDATA','SUT');
insert  into `slot_jadwal`(id_slot,jam,hari,kode_ruangan,kode_mk,kode_dosen) values (12,'I','RABU','JARKOM','JARINGAN','ILY');
insert  into `slot_jadwal`(id_slot,jam,hari,kode_ruangan,kode_mk,kode_dosen) values (13,'I','KAMIS','ALGO1','JARINGAN','ILY');
insert  into `slot_jadwal`(id_slot,jam,hari,kode_ruangan,kode_mk,kode_dosen) values (14,'I','KAMIS','ALGO2','BASISDATA','ILY');
insert  into `slot_jadwal`(id_slot,jam,hari,kode_ruangan,kode_mk,kode_dosen) values (15,'I','KAMIS','BSD','BASISDATA','ILY');
insert  into `slot_jadwal`(id_slot,jam,hari,kode_ruangan,kode_mk,kode_dosen) values (16,'I','KAMIS','JARKOM','STRUKTURDATA','SUT');
insert  into `slot_jadwal`(id_slot,jam,hari,kode_ruangan,kode_mk,kode_dosen) values (17,'I','JUMAT','ALGO1','JARINGAN','ROS');
insert  into `slot_jadwal`(id_slot,jam,hari,kode_ruangan,kode_mk,kode_dosen) values (18,'I','JUMAT','ALGO2','STRUKTURDATA','DNY');
insert  into `slot_jadwal`(id_slot,jam,hari,kode_ruangan,kode_mk,kode_dosen) values (19,'I','JUMAT','BSD','STRUKTURDATA','DNY');
insert  into `slot_jadwal`(id_slot,jam,hari,kode_ruangan,kode_mk,kode_dosen) values (20,'I','JUMAT','JARKOM','PBO','ROZ');
insert  into `slot_jadwal`(id_slot,jam,hari,kode_ruangan,kode_mk,kode_dosen) values (21,'II','SENIN','ALGO1','STRUKTURDATA','DNY');
insert  into `slot_jadwal`(id_slot,jam,hari,kode_ruangan,kode_mk,kode_dosen) values (22,'II','SENIN','ALGO2','PBO','ROZ');
insert  into `slot_jadwal`(id_slot,jam,hari,kode_ruangan,kode_mk,kode_dosen) values (23,'II','SENIN','BSD','STRUKTURDATA','SUT');
insert  into `slot_jadwal`(id_slot,jam,hari,kode_ruangan,kode_mk,kode_dosen) values (24,'II','SENIN','JARKOM','PBO','ROZ');
insert  into `slot_jadwal`(id_slot,jam,hari,kode_ruangan,kode_mk,kode_dosen) values (25,'II','SELASA','ALGO1','JARINGAN','ILY');
insert  into `slot_jadwal`(id_slot,jam,hari,kode_ruangan,kode_mk,kode_dosen) values (26,'II','SELASA','ALGO2','PBO','ROZ');
insert  into `slot_jadwal`(id_slot,jam,hari,kode_ruangan,kode_mk,kode_dosen) values (27,'II','SELASA','BSD','JARINGAN','ROS');
insert  into `slot_jadwal`(id_slot,jam,hari,kode_ruangan,kode_mk,kode_dosen) values (28,'II','SELASA','JARKOM','JARINGAN','ILY');
insert  into `slot_jadwal`(id_slot,jam,hari,kode_ruangan,kode_mk,kode_dosen) values (29,'II','RABU','ALGO1','PBO','ROZ');
insert  into `slot_jadwal`(id_slot,jam,hari,kode_ruangan,kode_mk,kode_dosen) values (30,'II','RABU','ALGO2','BASISDATA','DNY');
insert  into `slot_jadwal`(id_slot,jam,hari,kode_ruangan,kode_mk,kode_dosen) values (31,'II','RABU','BSD','PBO','ROZ');
insert  into `slot_jadwal`(id_slot,jam,hari,kode_ruangan,kode_mk,kode_dosen) values (32,'II','RABU','JARKOM','BASISDATA','ILY');
insert  into `slot_jadwal`(id_slot,jam,hari,kode_ruangan,kode_mk,kode_dosen) values (33,'II','KAMIS','ALGO1','PBO','ROZ');
insert  into `slot_jadwal`(id_slot,jam,hari,kode_ruangan,kode_mk,kode_dosen) values (34,'II','KAMIS','ALGO2','STRUKTURDATA','SUT');
insert  into `slot_jadwal`(id_slot,jam,hari,kode_ruangan,kode_mk,kode_dosen) values (35,'II','KAMIS','BSD','JARINGAN','ILY');
insert  into `slot_jadwal`(id_slot,jam,hari,kode_ruangan,kode_mk,kode_dosen) values (36,'II','KAMIS','JARKOM','PBO','ROZ');
insert  into `slot_jadwal`(id_slot,jam,hari,kode_ruangan,kode_mk,kode_dosen) values (37,'II','JUMAT','ALGO1','STRUKTURDATA','SUT');
insert  into `slot_jadwal`(id_slot,jam,hari,kode_ruangan,kode_mk,kode_dosen) values (38,'II','JUMAT','ALGO2','BASISDATA','ILY');
insert  into `slot_jadwal`(id_slot,jam,hari,kode_ruangan,kode_mk,kode_dosen) values (39,'II','JUMAT','BSD','JARINGAN','ROS');
insert  into `slot_jadwal`(id_slot,jam,hari,kode_ruangan,kode_mk,kode_dosen) values (40,'II','JUMAT','JARKOM','BASISDATA','ILY');
insert  into `slot_jadwal`(id_slot,jam,hari,kode_ruangan,kode_mk,kode_dosen) values (41,'III','SENIN','ALGO1','BASISDATA','ILY');
insert  into `slot_jadwal`(id_slot,jam,hari,kode_ruangan,kode_mk,kode_dosen) values (42,'III','SENIN','ALGO2','JARINGAN','ILY');
insert  into `slot_jadwal`(id_slot,jam,hari,kode_ruangan,kode_mk,kode_dosen) values (43,'III','SENIN','BSD','STRUKTURDATA','SUT');
insert  into `slot_jadwal`(id_slot,jam,hari,kode_ruangan,kode_mk,kode_dosen) values (44,'III','SENIN','JARKOM','JARINGAN','ROS');
insert  into `slot_jadwal`(id_slot,jam,hari,kode_ruangan,kode_mk,kode_dosen) values (45,'III','SELASA','ALGO1','BASISDATA','DNY');
insert  into `slot_jadwal`(id_slot,jam,hari,kode_ruangan,kode_mk,kode_dosen) values (46,'III','SELASA','ALGO2','JARINGAN','ILY');
insert  into `slot_jadwal`(id_slot,jam,hari,kode_ruangan,kode_mk,kode_dosen) values (47,'III','SELASA','BSD','PBO','ROZ');
insert  into `slot_jadwal`(id_slot,jam,hari,kode_ruangan,kode_mk,kode_dosen) values (48,'III','SELASA','JARKOM','STRUKTURDATA','DNY');
insert  into `slot_jadwal`(id_slot,jam,hari,kode_ruangan,kode_mk,kode_dosen) values (49,'III','RABU','ALGO1','STRUKTURDATA','DNY');
insert  into `slot_jadwal`(id_slot,jam,hari,kode_ruangan,kode_mk,kode_dosen) values (50,'III','RABU','ALGO2','BASISDATA','ILY');
insert  into `slot_jadwal`(id_slot,jam,hari,kode_ruangan,kode_mk,kode_dosen) values (51,'III','RABU','BSD','JARINGAN','ILY');
insert  into `slot_jadwal`(id_slot,jam,hari,kode_ruangan,kode_mk,kode_dosen) values (52,'III','RABU','JARKOM','BASISDATA','ILY');
insert  into `slot_jadwal`(id_slot,jam,hari,kode_ruangan,kode_mk,kode_dosen) values (53,'III','KAMIS','ALGO1','STRUKTURDATA','DNY');
insert  into `slot_jadwal`(id_slot,jam,hari,kode_ruangan,kode_mk,kode_dosen) values (54,'III','KAMIS','ALGO2','JARINGAN','ROS');
insert  into `slot_jadwal`(id_slot,jam,hari,kode_ruangan,kode_mk,kode_dosen) values (55,'III','KAMIS','BSD','BASISDATA','DNY');
insert  into `slot_jadwal`(id_slot,jam,hari,kode_ruangan,kode_mk,kode_dosen) values (56,'III','KAMIS','JARKOM','BASISDATA','DNY');
insert  into `slot_jadwal`(id_slot,jam,hari,kode_ruangan,kode_mk,kode_dosen) values (57,'III','JUMAT','ALGO1','PBO','ROZ');
insert  into `slot_jadwal`(id_slot,jam,hari,kode_ruangan,kode_mk,kode_dosen) values (58,'III','JUMAT','ALGO2','JARINGAN','ROS');
insert  into `slot_jadwal`(id_slot,jam,hari,kode_ruangan,kode_mk,kode_dosen) values (59,'III','JUMAT','BSD','JARINGAN','ILY');
insert  into `slot_jadwal`(id_slot,jam,hari,kode_ruangan,kode_mk,kode_dosen) values (60,'III','JUMAT','JARKOM','STRUKTURDATA','SUT');
insert  into `slot_jadwal`(id_slot,jam,hari,kode_ruangan,kode_mk,kode_dosen) values (61,'IV','SENIN','ALGO1','BASISDATA','ILY');
insert  into `slot_jadwal`(id_slot,jam,hari,kode_ruangan,kode_mk,kode_dosen) values (62,'IV','SENIN','ALGO2','BASISDATA','ILY');
insert  into `slot_jadwal`(id_slot,jam,hari,kode_ruangan,kode_mk,kode_dosen) values (63,'IV','SENIN','BSD','BASISDATA','DNY');
insert  into `slot_jadwal`(id_slot,jam,hari,kode_ruangan,kode_mk,kode_dosen) values (64,'IV','SENIN','JARKOM','JARINGAN','ILY');
insert  into `slot_jadwal`(id_slot,jam,hari,kode_ruangan,kode_mk,kode_dosen) values (65,'IV','SELASA','ALGO1','BASISDATA','ILY');
insert  into `slot_jadwal`(id_slot,jam,hari,kode_ruangan,kode_mk,kode_dosen) values (66,'IV','SELASA','ALGO2','PBO','ROZ');
insert  into `slot_jadwal`(id_slot,jam,hari,kode_ruangan,kode_mk,kode_dosen) values (67,'IV','SELASA','BSD','BASISDATA','DNY');
insert  into `slot_jadwal`(id_slot,jam,hari,kode_ruangan,kode_mk,kode_dosen) values (68,'IV','SELASA','JARKOM','BASISDATA','ILY');
insert  into `slot_jadwal`(id_slot,jam,hari,kode_ruangan,kode_mk,kode_dosen) values (69,'IV','RABU','ALGO1','PBO','ROZ');
insert  into `slot_jadwal`(id_slot,jam,hari,kode_ruangan,kode_mk,kode_dosen) values (70,'IV','RABU','ALGO2','JARINGAN','ILY');
insert  into `slot_jadwal`(id_slot,jam,hari,kode_ruangan,kode_mk,kode_dosen) values (71,'IV','RABU','BSD','STRUKTURDATA','SUT');
insert  into `slot_jadwal`(id_slot,jam,hari,kode_ruangan,kode_mk,kode_dosen) values (72,'IV','RABU','JARKOM','STRUKTURDATA','SUT');
insert  into `slot_jadwal`(id_slot,jam,hari,kode_ruangan,kode_mk,kode_dosen) values (73,'IV','KAMIS','ALGO1',NULL,NULL);
insert  into `slot_jadwal`(id_slot,jam,hari,kode_ruangan,kode_mk,kode_dosen) values (74,'IV','KAMIS','ALGO2','BASISDATA','DNY');
insert  into `slot_jadwal`(id_slot,jam,hari,kode_ruangan,kode_mk,kode_dosen) values (75,'IV','KAMIS','BSD','JARINGAN','ROS');
insert  into `slot_jadwal`(id_slot,jam,hari,kode_ruangan,kode_mk,kode_dosen) values (76,'IV','KAMIS','JARKOM','STRUKTURDATA','DNY');
insert  into `slot_jadwal`(id_slot,jam,hari,kode_ruangan,kode_mk,kode_dosen) values (77,'IV','JUMAT','ALGO1','BASISDATA','DNY');
insert  into `slot_jadwal`(id_slot,jam,hari,kode_ruangan,kode_mk,kode_dosen) values (78,'IV','JUMAT','ALGO2','JARINGAN','ROS');
insert  into `slot_jadwal`(id_slot,jam,hari,kode_ruangan,kode_mk,kode_dosen) values (79,'IV','JUMAT','BSD','PBO','ROZ');
insert  into `slot_jadwal`(id_slot,jam,hari,kode_ruangan,kode_mk,kode_dosen) values (80,'IV','JUMAT','JARKOM','JARINGAN','ILY');

/*Table structure for table `tabeluser` */

DROP TABLE IF EXISTS `tabeluser`;

CREATE TABLE `tabeluser` (
  `id` int(2) NOT NULL AUTO_INCREMENT,
  `userid` varchar(20) NOT NULL,
  `password` varchar(20) NOT NULL,
  `level` varchar(20) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=4 DEFAULT CHARSET=latin1;

/*Data for the table `tabeluser` */

insert  into `tabeluser`(id,userid,password,level) values (1,'admin','admin','admin');
insert  into `tabeluser`(id,userid,password,level) values (2,'user','user','wartawan');
insert  into `tabeluser`(id,userid,password,level) values (3,'raffa','raffa','wartawan');

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;